diff -Naupr transgui-5.18.0/vargrid.pas transgui/vargrid.pas
--- transgui-5.18.0/vargrid.pas	2019-10-12 12:52:07.000000000 +0700
+++ transgui/vargrid.pas	2024-11-20 23:40:05.928288637 +0700
@@ -15,8 +15,19 @@
   You should have received a copy of the GNU General Public License
   along with Transmission Remote GUI; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
-*************************************************************************************}
 
+  In addition, as a special exception, the copyright holders give permission to 
+  link the code of portions of this program with the
+  OpenSSL library under certain conditions as described in each individual
+  source file, and distribute linked combinations including the two.
+
+  You must obey the GNU General Public License in all respects for all of the
+  code used other than OpenSSL.  If you modify file(s) with this exception, you
+  may extend this exception to your version of the file(s), but you are not
+  obligated to do so.  If you do not wish to do so, delete this exception
+  statement from your version.  If you delete this exception statement from all
+  source files in the program, then also delete it here.
+*************************************************************************************}
 unit VarGrid;
 
 {$mode objfpc}{$H+}
@@ -744,7 +755,11 @@ begin
 {$ifdef LCLcarbon}
   IsCtrl:=ssMeta in GetCarbonShiftState;
 {$else}
+{$ifdef LCLCocoa}
+  IsCtrl:=ssMeta in Shift;
+{$else}
   IsCtrl:=ssCtrl in Shift;
+{$endif LCLCocoa}
 {$endif LCLcarbon}
   CheckBoxClicked:=False;
   pt:=MouseToCell(Point(X,Y));
diff -Naupr transgui-5.18.0/varlist.pas transgui/varlist.pas
--- transgui-5.18.0/varlist.pas	2019-10-12 12:52:07.000000000 +0700
+++ transgui/varlist.pas	2024-11-20 23:40:05.928288637 +0700
@@ -15,8 +15,19 @@
   You should have received a copy of the GNU General Public License
   along with Transmission Remote GUI; if not, write to the Free Software
   Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
-*************************************************************************************}
 
+  In addition, as a special exception, the copyright holders give permission to 
+  link the code of portions of this program with the
+  OpenSSL library under certain conditions as described in each individual
+  source file, and distribute linked combinations including the two.
+
+  You must obey the GNU General Public License in all respects for all of the
+  code used other than OpenSSL.  If you modify file(s) with this exception, you
+  may extend this exception to your version of the file(s), but you are not
+  obligated to do so.  If you do not wish to do so, delete this exception
+  statement from your version.  If you delete this exception statement from all
+  source files in the program, then also delete it here.
+*************************************************************************************}
 unit varlist;
 
 {$mode objfpc}{$H+}
